org.jfree.xml.writer.coretypes

## Class GradientPaintWriteHandler

- java.lang.Object
- - org.jfree.xml.writer.AbstractXmlWriteHandler
  - - org.jfree.xml.writer.coretypes.GradientPaintWriteHandler

All Implemented Interfaces:
  XmlWriteHandler

    public class GradientPaintWriteHandler
    extends AbstractXmlWriteHandler

A handler for writing `GradientPaint` objects.

### Constructor Summary

Constructors
Constructor and Description
`GradientPaintWriteHandler()` Default constructor.

### Method Summary

Methods
`void` `write(java.lang.String tagName, java.lang.Object object, XMLWriter writer, java.lang.String mPlexAttribute, java.lang.String mPlexValue)` Performs the writing of a `GradientPaint` object.

### Methods inherited from class org.jfree.xml.writer.AbstractXmlWriteHandler

`getRootHandler, setRootHandler`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GradientPaintWriteHandler

    public GradientPaintWriteHandler()

Default constructor.

### Method Detail

#### write

    public void write(java.lang.String tagName,
             java.lang.Object object,
             XMLWriter writer,
             java.lang.String mPlexAttribute,
             java.lang.String mPlexValue)
               throws java.io.IOException,
                      XMLWriterException

Performs the writing of a `GradientPaint` object.

Parameters:
  `tagName` - the tag name.
  `object` - the `GradientPaint` object.
  `writer` - the writer.
  `mPlexAttribute` - ??.
  `mPlexValue` - ??.
Throws:
  `java.io.IOException` - if there is an I/O error.
  `XMLWriterException` - if there is a writer error.